using Funq;
using ServiceStack;
using SSBlazorServer.ServiceInterface;

[assembly: HostingStartup(typeof(SSBlazorServer.AppHost))]

namespace SSBlazorServer;

public class AppHost : AppHostBase, IHostingStartup
{
    public AppHost() : base("SSBlazorServer", typeof(MyServices).Assembly) { }

    public override void Configure(Container container)
    {
        SetConfig(new HostConfig {
        });

        Plugins.Add(new CorsFeature(allowedHeaders: "Content-Type,Authorization",
            allowOriginWhitelist: new[]{
            "http://localhost:5000",
            "https://localhost:5001",
            "https://" + Environment.GetEnvironmentVariable("DEPLOY_CDN")
        }, allowCredentials: true));
    }

    public void Configure(IWebHostBuilder builder) => builder
        .ConfigureServices((context, services) => 
            services.ConfigureNonBreakingSameSiteCookies(context.HostingEnvironment));
}
